Re: Lua eclipse

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Re: Lua eclipse

Manoel Campos da Silva Filho
Pessoal, estou tentando instalar o Lua Eclipse 1.2 e 1.3 na versão atual do Eclipse (Kepler)
e não funciona. Tentei os updates sites http://luaeclipse.luaforge.net/preview/update-site/ e http://luaeclipse.luaforge.net/update-site/
e não dá certo. Coloquei site.xml no final e nada. As URLs abrem no navegador normalmente, mas ao tentar instalar pelo Eclipse
só dá o erro abaixo. Outros plugins como o NCLEclipse instalam sem problema via update site:

Unable to read repository at http://luaeclipse.luaforge.net/preview/update-site/.
http://luaeclipse.luaforge.net/preview/update-site/ is not a valid repository location.

java.io.IOException: http://luaeclipse.luaforge.net/update-site/site.xml is not a valid repository location.

at org.eclipse.equinox.internal.p2.metadata.repository.SimpleMetadataRepositoryFactory.load(SimpleMetadataRepositoryFactory.java:102)

at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.factoryLoad(MetadataRepositoryManager.java:57)

at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.loadRepository(AbstractRepositoryManager.java:768)

at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.loadRepository(AbstractRepositoryManager.java:668)

at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:96)

at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:92)

at org.eclipse.equinox.p2.ui.LoadMetadataRepositoryJob.doLoad(LoadMetadataRepositoryJob.java:117)

at org.eclipse.equinox.p2.ui.LoadMetadataRepositoryJob.runModal(LoadMetadataRepositoryJob.java:102)

at org.eclipse.equinox.internal.p2.ui.sdk.PreloadingRepositoryHandler$2.runModal(PreloadingRepositoryHandler.java:83)

at org.eclipse.equinox.p2.operations.ProvisioningJob.run(ProvisioningJob.java:177)

at org.eclipse.core.internal.jobs.Worker.run(Worker.java:53)



Em segunda-feira, 14 de setembro de 2009 14h11min48s UTC+1, Jose Machado escreveu:
> Também tive problemas com o luaeclipse 1.2.
> Tenta instalar o luaeclipse 1.3.
> Segue o link <a href="http://luaeclipse.luaforge.net/preview/update-site/" target="_blank" onmousedown="this.href='http://www.google.com/url?q\75http%3A%2F%2Fluaeclipse.luaforge.net%2Fpreview%2Fupdate-site%2F\46sa\75D\46sntz\0751\46usg\75AFQjCNFzymSs2oYTuAEowU42pSe-opBkQw';return true;" onclick="this.href='http://www.google.com/url?q\75http%3A%2F%2Fluaeclipse.luaforge.net%2Fpreview%2Fupdate-site%2F\46sa\75D\46sntz\0751\46usg\75AFQjCNFzymSs2oYTuAEowU42pSe-opBkQw';return true;">http://luaeclipse.luaforge.net/preview/update-site/
>
> > não estou conseguindo colocar o lua eclipse para funcionar.
> >
> > config:
> > Ubuntu 9.04 x86
> > eclipse 3.5 e luaeclipse 1.2
> > java 1.6

Aqui temos uma configuração bem parecida: Ubuntu 9.04 (32 bits) e eclipse 3.5 (Galileo). Não conseguimos instalar o luaeclipse 1.2, mas o 1.3 beta funcionou perfeitamente.

[]'s

--
J. Machado
<a href="javascript:" target="_blank" gdf-obfuscated-mailto="OH4y3kP3dJEJ" onmousedown="this.href='javascript:';return true;" onclick="this.href='javascript:';return true;">mac...@...
+55 21-9302-2794





Fri, 11 Sep 2009 16:25:14 -0700 (PDT), Laécio F. Chaves <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="OH4y3kP3dJEJ" onmousedown="this.href='javascript:';return true;" onclick="this.href='javascript:';return true;">laecio...@...> escreveu:

>
> Também tive problemas com o luaeclipse 1.2.
> Tenta instalar o luaeclipse 1.3.
> Segue o link <a href="http://luaeclipse.luaforge.net/preview/update-site/" target="_blank" onmousedown="this.href='http://www.google.com/url?q\75http%3A%2F%2Fluaeclipse.luaforge.net%2Fpreview%2Fupdate-site%2F\46sa\75D\46sntz\0751\46usg\75AFQjCNFzymSs2oYTuAEowU42pSe-opBkQw';return true;" onclick="this.href='http://www.google.com/url?q\75http%3A%2F%2Fluaeclipse.luaforge.net%2Fpreview%2Fupdate-site%2F\46sa\75D\46sntz\0751\46usg\75AFQjCNFzymSs2oYTuAEowU42pSe-opBkQw';return true;">http://luaeclipse.luaforge.net/preview/update-site/
>
> On 11 set, 18:58, Pablo Musa <[hidden email]> wrote:
> > Oi pessoal,
> >
> > não estou conseguindo colocar o lua eclipse para funcionar.
> >
> > config:
> > Ubuntu 9.04 x86
> > eclipse 3.5 e luaeclipse 1.2
> > java 1.6
> >
> > O eclipse está funcionando normal e corretamente.
> > A instalação do lua eclipse como indicado no site (aliás a interface do eclipse mudou e está diferente do site), Devlopment Tool 1.2 sem ser o 64 e o LuaProfiler 1.0, também deu certo.
> >
> > Porém após criar um projeto, quando crio o meu primeiro arquivo recebo o erro abaixo:
> > An error has occurred. See error log for more details.
> > Could not initialize class org.keplerproject.luajava.LuaState
> > Portanto não consigo codificar nada, muito menos executar qualquer código.
> >
> > Não sei o erro abaixo melhora alguma coisa:
> > java.lang.NoClassDefFoundError: Could not initialize class org.keplerproject.luajava.LuaState
> >     at org.keplerproject.luajava.LuaStateFactory.newLuaState(LuaStateFactory.java:59)
> >     at org.keplerproject.ldt.ui.baseExts.completion.LuaCompletionProcessor.<init>(LuaCompletionProcessor.java:60)
> >     at org.keplerproject.ldt.ui.baseExts.completion.LuaContentAssistContributorExtension.contribute(LuaContentAssistContributorExtension.java:38)
> >     at org.keplerproject.ldt.ui.editors.LuaSourceViewerConfiguration.getContentAssistant(LuaSourceViewerConfiguration.java:134)
> >     at org.eclipse.jface.text.source.SourceViewer.configure(SourceViewer.java:374)
> >
> > Alguém tem alguma idéia do que seja?
> >
> > Abs,
> > Pablo
> >
> >       ____________________________________________________________________________________
> > Veja quais são os assuntos do momento no Yahoo! +Buscadoshttp://<a href="http://br.maisbuscados.yahoo.com" target="_blank" onmousedown="this.href='http://www.google.com/url?q\75http%3A%2F%2Fbr.maisbuscados.yahoo.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGkrwuTTEd8iPmO5uWNJkFyX8Ketg';return true;" onclick="this.href='http://www.google.com/url?q\75http%3A%2F%2Fbr.maisbuscados.yahoo.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGkrwuTTEd8iPmO5uWNJkFyX8Ketg';return true;">br.maisbuscados.yahoo.com
> >
>
>
>
>

--
Lua BR - http://groups.google.com/group/lua-br
---
Você está recebendo esta mensagem porque se inscreveu no grupo "Lua BR" dos Grupos do Google.
Para cancelar a inscrição neste grupo e parar de receber seus e-mails, envie um e-mail para [hidden email].
Para obter mais opções, acesse https://groups.google.com/groups/opt_out.